
Redmine - Defect #22774

"Parent task is invalid" message when setting parent to root issue after setting to a child of the root.

2016-05-09 18:53 - Brandon Legault

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.2.1

Description

Hopefully the title makes sense.

Repro steps:

1. Create Issue 1

2. Create Issue 2 and assign 1 as parent

3. Create Issue 3 and assign 1 as parent

4. Navigate to issue 3 and assign 2 as parent

5. Navigate to issue 3 and re-assign 1 as parent

Step 5 will display "Parent Task is invalid".

Workaround:

5. Navigate to issue 3 and remove any parenting

6. Navigate to issue 3 and re-assign 1 as the parent

Seems the issue can't be assigned to its parent because it would create a conflict reassigning the lft and rgt fields of the 3 issues

involved.

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            1.9.5

  Filesystem                    

Related issues:

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2016-05-10 05:55 - Toshi MARUYAMA

- Category set to Issues

- Priority changed from Normal to Low

- Affected version set to 3.2.1

#2 - 2016-05-10 05:57 - Toshi MARUYAMA

- Status changed from New to Confirmed

#3 - 2016-12-11 08:56 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

The operation can be done without problems in Redmine 3.3.1.devel.16055.
Probably it was fixed by #13654 (Redmine 3.3.0).

#4 - 2016-12-11 08:57 - Go MAEDA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added
